Software Requirements

Before using the ePUMP-FLO online pump selector, you may wish to confirm that your computer meets the software requirements outlined below.

If you do not currently have a supported browser or PDF reader installed on your computer, you can download this software by clicking on the software name and following the instructions on the software vendor's site. Please note that you must have sufficient privileges to install these software packages on your computer.

The ePUMP-FLO online pump selector requires the following:
Supported Web Browsers
PDF Readers